Skip to content

Get account transaction history

GET
/v1/account/transactionhistory

Transaction history for your account.

The results of this request may be filtered by transaction types, currency and datetime. The skip and limit parameters may be applied to paginate the filtered results.

Filtering by transactionTypes

The transactionTypes parameter may be used to filter the returned items by a comma-separated list of transaction types from the following list of supported types:

LIMIT_BUY, LIMIT_SELL, MARKET_BUY, MARKET_SELL, SIMPLE_BUY, SIMPLE_SELL, AUTO_BUY, MAKER_REWARD, BLOCKCHAIN_RECEIVE, BLOCKCHAIN_SEND, FIAT_DEPOSIT, FIAT_WITHDRAWAL, REFERRAL_REBATE, REFERRAL_REWARD, PROMOTIONAL_REBATE, INTERNAL_TRANSFER, FIAT_WITHDRAWAL_REVERSAL, PAYMENT_SENT, PAYMENT_RECEIVED, PAYMENT_REVERSED, PAYMENT_REWARD, OFF_CHAIN_BLOCKCHAIN_WITHDRAW, OFF_CHAIN_BLOCKCHAIN_DEPOSIT, SIMPLE_SWAP_BUY, SIMPLE_SWAP_SELL, SIMPLE_SWAP_FAILURE_REVERSAL, ACCOUNT_FUNDING, FUND, FIAT_WITHDRAWAL_FEE_REVERSAL, CREDIT_CARD_DEPOSIT, SPOT_BORROW_INTEREST_CHARGE, SPOT_LEND_INTEREST_PAYMENT.

Filtering by startTime or endTime

The startTime or endTime parameters may be used to filter the returned items by the transaction date. The parameters will be interpreted as being in the UTC time zone and must be supplied in the ISO 8601 format (2020-02-29T22:00:00.000Z). These two parameters may be used together or separately. When startTime is used, transactions that have occurred since startTime are returned. When endTime is used, transactions that have occurred up to and including endTime are returned.

Note: The startTime and endTime parameters are optional filters. However, omitting these parameters may result in slower response times. To mitigate this, a default time window such as the most recent 30 days may be automatically applied to the request.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Parameters

Query Parameters

skip

Number of records to skip for pagination

Type
integer
Format
"int32"
limit

Maximum number of records to return. Maximum 200.

Type
integer
Format
"int32"
currency

Filter transactions by currency code (e.g., BTC, ZAR)

Type
string
transactionTypes

Comma-separated list of transaction types to filter by

Type
string
startTime

Start time in ISO 8601 format (e.g., 2024-01-01T00:00:00Z)

Type
string
endTime

End time in ISO 8601 format (e.g., 2024-12-31T23:59:59Z)

Type
string
beforeId

Return transactions before this ID for cursor-based pagination

Type
string

Responses

Transaction history retrieved successfully

application/json
JSON
[
{
"transactionType": {
"type": "REFERRAL_REBATE",
"description": "Referral Rebate"
},
"creditCurrency": "XRP",
"creditValue": "0.00032",
"eventAt": "2025-07-04T08:38:13.550Z",
"additionalInfo": {
"sourceTransactionId": "1057478"
},
"id": "0197d496-0f2e-726a-baeb-5d8b993e826a"
},
{
"transactionType": {
"type": "SIMPLE_BUY",
"description": "Simple Buy"
},
"debitCurrency": "ZAR",
"debitValue": "9.997956",
"creditCurrency": "XRP",
"creditValue": "0.1971936",
"feeCurrency": "XRP",
"feeValue": "0.0032064",
"eventAt": "2025-07-04T08:38:13.407Z",
"additionalInfo": {
"costPerCoin": 49.89,
"costPerCoinSymbol": "R",
"currencyPairSymbol": "XRPZAR",
"orderId": "0197d496-0e4e-7453-ae5b-1d930e8f3a81"
},
"id": "0197d496-0e9f-7ef5-8476-c45cd13ccef5"
}
]

Playground

Authorization
Variables
Key
Value

Samples